# __gnu_parallel::sampling_sorter< stable, RandomAccessIterator, StrictWeakOrdering > Struct Template Reference

Stable sorting functor. More...

List of all members.

## Public Member Functions

- void operator() (RandomAccessIterator first, RandomAccessIterator last, StrictWeakOrdering comp)

## Detailed Description

### template<bool stable, class RandomAccessIterator, class StrictWeakOrdering>
struct __gnu_parallel::sampling_sorter< stable, RandomAccessIterator, StrictWeakOrdering >

Stable sorting functor.

Used to reduce code instanciation in multiway_merge_sampling_splitting.

Definition at line 1072 of file multiway_merge.h.

The documentation for this struct was generated from the following file:

- multiway_merge.h